API Reference2026-02-18 (Latest)Refunds

Mark a payment as refunded

POST
/v1/refunds

Authorization

headerApi-Key<token>

Header Parameters

Merchant-Id*string

Merchant identifier.

WCP-Version?string

Optional WalletConnect Pay API version override. If omitted, the partner's pinned version is used.

Request Body

application/json
  1. body
paymentId*string

Payment ID to refund

Match^pay_[A-Za-z0-9]+$
Length1 <= length <= 64

Response Body

Payment marked as refunded

application/json
  1. response
paymentId*string

Payment ID that was marked as refunded

curl -X POST 'https://api.pay.walletconnect.com/v1/refunds' \  -H 'Merchant-Id: acme-store-1' \  -H 'Content-Type: application/json' \  -d '{  "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ"}'
{  "paymentId": "pay_a1a2ecc101KGF210FP7PN3BK08PZARS1CZ"}